//+------------------------------------------------------------------+ 
//| CALCOLO LOTTI POSIZIONI CORTE CON FIXED FRACTIONAL METHOD        |                                           | 
//+------------------------------------------------------------------+ 

double Lots_Short()
       { 
       Spread     = Ask-Bid ;   
       if(FixedLots > 0.00)
         {
         Lots_Short = FixedLots ;     
         }
       else if ((Symbol() == "EURUSD") || (Symbol() == "GBPUSD") || (Symbol() == "AUDUSD") || (Symbol() == "NZDUSD") )
         {
         Potential_Loss_Short = (Distanza_Short+Spread)*100000 ;
         }
       else if ((Symbol() == "USDJPY") || (Symbol() == "EURJPY"))
         {
         Potential_Loss_Short = ((Distanza_Short+Spread)*100000)/MarketInfo("USDJPY",MODE_BID) ;
         }         
       else if ((Symbol() == "USDCHF") || (Symbol() == "EURCHF"))
         {
         Potential_Loss_Short = ((Distanza_Short+Spread)*100000)/MarketInfo("USDCHF",MODE_BID) ;
         }         
       else if (Symbol() == "EURGBP")
         {
         Potential_Loss_Short = ((Distanza_Short+Spread)*100000)/(1/MarketInfo("GBPUSD",MODE_BID)) ;
         }         
       else if (Symbol() == "USDCAD")
         {
         Potential_Loss_Short = ((Distanza_Short+Spread)*100000)/MarketInfo("USDCAD",MODE_BID) ;
         }
       
       if(FixedLots == 0.00)
         { 
         Lots_Short = (AccountFreeMargin()*Risk) / Potential_Loss_Short ;
         }
         
       if(Lots_Short<0.01) 
         {
         Lots_Short = 0;
         }
         else
         {
         Lots_Short = NormalizeDouble(Lots_Short,2); 
         }          
            
       return(Lots_Short);
       }
         

