//+------------------------------------------------------------------+ 
//| CALCOLO LOTTI POSIZIONI LUNGHE CON FIXED FRACTIONAL METHOD       |                                           | 
//+------------------------------------------------------------------+ 

double Lots_Long()
       {
       Spread    = Ask-Bid ;     
       if(FixedLots > 0.00)
         {
         Lots_Long = FixedLots;
         }
       else if ((Symbol() == "EURUSD") || (Symbol() == "GBPUSD") || (Symbol() == "AUDUSD") || (Symbol() == "NZDUSD") )
         {
         Potential_Loss_Long = (Distanza_Long+Spread)*100000 ; 
         }
       else if ((Symbol() == "USDJPY") || (Symbol() == "EURJPY"))
         {
         Potential_Loss_Long = ((Distanza_Long+Spread)*100000)/MarketInfo("USDJPY",MODE_BID) ;
         }
       else if ((Symbol() == "USDCHF") || (Symbol() == "EURCHF"))
         {
         Potential_Loss_Long = ((Distanza_Long+Spread)*100000)/MarketInfo("USDCHF",MODE_BID) ;
         }  
       else if ((Symbol() == "EURGBP"))
         {
         Potential_Loss_Long = ((Distanza_Long+Spread)*100000)/(1/MarketInfo("GBPUSD",MODE_BID)) ;
         }    
       else if ((Symbol() == "USDCAD"))
         {
         Potential_Loss_Long = ((Distanza_Long+Spread)*100000/MarketInfo("USDCAD",MODE_BID)) ; 
         }
       
       if(FixedLots == 0.00)
         {  
         Lots_Long = (AccountFreeMargin()*Risk) / Potential_Loss_Long ;
         }
       
       if(Lots_Long<0.01) 
         {
         Lots_Long = 0;
         }
         else
         {
         Lots_Long = NormalizeDouble(Lots_Long,2); 
         }    
           
       return(Lots_Long);
       }